{
    "self": {
        "type": "VirtualMachine",
        "value": "vm-13671"
    },
    "value": null,
    "availableField": null,
    "parent": null,
    "customValue": null,
    "overallStatus": "",
    "configStatus": "",
    "configIssue": null,
    "effectiveRole": null,
    "permission": null,
    "name": "minecraft",
    "disabledMethod": null,
    "recentTask": null,
    "declaredAlarmState": null,
    "triggeredAlarmState": null,
    "alarmActionsEnabled": null,
    "tag": null,
    "capability": {
        "snapshotOperationsSupported": false,
        "multipleSnapshotsSupported": false,
        "snapshotConfigSupported": false,
        "poweredOffSnapshotsSupported": false,
        "memorySnapshotsSupported": false,
        "revertToSnapshotSupported": false,
        "quiescedSnapshotsSupported": false,
        "disableSnapshotsSupported": false,
        "lockSnapshotsSupported": false,
        "consolePreferencesSupported": false,
        "cpuFeatureMaskSupported": false,
        "s1AcpiManagementSupported": false,
        "settingScreenResolutionSupported": false,
        "toolsAutoUpdateSupported": false,
        "vmNpivWwnSupported": false,
        "npivWwnOnNonRdmVmSupported": false,
        "swapPlacementSupported": false,
        "toolsSyncTimeSupported": false,
        "virtualMmuUsageSupported": false,
        "diskSharesSupported": false,
        "bootOptionsSupported": false,
        "settingVideoRamSizeSupported": false
    },
    "config": {
        "changeVersion": "2024-05-24T06:41:25.868508Z",
        "modified": "1970-01-01T00:00:00Z",
        "name": "minecraft",
        "guestFullName": "Ubuntu Linux (32-bit)",
        "version": "vmx-08",
        "uuid": "422598c8-5ab7-63e7-ba34-8111936fea59",
        "createDate": "1970-01-01T00:00:00Z",
        "instanceUuid": "50251955-6d1b-8954-ae28-50284dd4b44e",
        "npivTemporaryDisabled": true,
        "locationId": "564d4d65-27af-07d1-d627-70d056c7f233",
        "template": false,
        "guestId": "ubuntuGuest",
        "alternateGuestName": "",
        "files": {
            "vmPathName": "[freenas] minecraft/minecraft.vmx",
            "snapshotDirectory": "[freenas] minecraft/",
            "suspendDirectory": "[freenas] minecraft/",
            "logDirectory": "[freenas] minecraft/"
        },
        "tools": {
            "toolsVersion": 10362,
            "afterPowerOn": true,
            "afterResume": true,
            "beforeGuestStandby": true,
            "beforeGuestShutdown": true,
            "toolsUpgradePolicy": "upgradeAtPowerCycle",
            "syncTimeWithHostAllowed": true,
            "syncTimeWithHost": true,
            "lastInstallInfo": {
                "counter": 6
            }
        },
        "flags": {
            "enableLogging": true,
            "useToe": false,
            "runWithDebugInfo": false,
            "monitorType": "release",
            "htSharing": "any",
            "snapshotDisabled": false,
            "snapshotLocked": false,
            "diskUuidEnabled": false,
            "snapshotPowerOffBehavior": "powerOff",
            "recordReplayEnabled": false,
            "faultToleranceType": "unset",
            "vvtdEnabled": false,
            "vbsEnabled": false
        },
        "defaultPowerOps": {
            "powerOffType": "soft",
            "suspendType": "hard",
            "resetType": "soft",
            "defaultPowerOffType": "soft",
            "defaultSuspendType": "hard",
            "defaultResetType": "soft",
            "standbyAction": "checkpoint"
        },
        "hardware": {
            "numCPU": 1,
            "numCoresPerSocket": 1,
            "autoCoresPerSocket": false,
            "memoryMB": 3072,
            "virtualICH7MPresent": false,
            "virtualSMCPresent": false,
            "device": [
                {
                    "key": 100,
                    "deviceInfo": {
                        "label": "PCI controller 0",
                        "summary": "PCI controller 0"
                    },
                    "busNumber": 0,
                    "device": [
                        500,
                        12000,
                        1000,
                        4000
                    ]
                },
                {
                    "key": 200,
                    "deviceInfo": {
                        "label": "IDE 0",
                        "summary": "IDE 0"
                    },
                    "busNumber": 0
                },
                {
                    "key": 201,
                    "deviceInfo": {
                        "label": "IDE 1",
                        "summary": "IDE 1"
                    },
                    "busNumber": 1,
                    "device": [
                        3002
                    ]
                },
                {
                    "key": 300,
                    "deviceInfo": {
                        "label": "PS2 controller 0",
                        "summary": "PS2 controller 0"
                    },
                    "busNumber": 0,
                    "device": [
                        600,
                        700
                    ]
                },
                {
                    "key": 400,
                    "deviceInfo": {
                        "label": "SIO controller 0",
                        "summary": "SIO controller 0"
                    },
                    "busNumber": 0,
                    "device": [
                        8000
                    ]
                },
                {
                    "key": 500,
                    "deviceInfo": {
                        "label": "Video card ",
                        "summary": "Video card"
                    },
                    "controllerKey": 100,
                    "unitNumber": 0,
                    "videoRamSizeInKB": 4096,
                    "numDisplays": 1,
                    "useAutoDetect": false,
                    "enable3DSupport": false,
                    "use3dRenderer": "automatic",
                    "graphicsMemorySizeInKB": 262144
                },
                {
                    "key": 600,
                    "deviceInfo": {
                        "label": "Keyboard ",
                        "summary": "Keyboard"
                    },
                    "controllerKey": 300,
                    "unitNumber": 0
                },
                {
                    "key": 700,
                    "deviceInfo": {
                        "label": "Pointing device",
                        "summary": "Pointing device; Device"
                    },
                    "backing": {
                        "deviceName": "",
                        "useAutoDetect": false,
                        "hostPointingDevice": "autodetect"
                    },
                    "controllerKey": 300,
                    "unitNumber": 1
                },
                {
                    "key": 1000,
                    "deviceInfo": {
                        "label": "SCSI controller 0",
                        "summary": "LSI Logic"
                    },
                    "slotInfo": {
                        "pciSlotNumber": 16
                    },
                    "controllerKey": 100,
                    "unitNumber": 3,
                    "busNumber": 0,
                    "device": [
                        2000
                    ],
                    "hotAddRemove": true,
                    "sharedBus": "noSharing",
                    "scsiCtlrUnitNumber": 7
                },
                {
                    "key": 2000,
                    "deviceInfo": {
                        "label": "Hard disk 1",
                        "summary": "62,914,560 KB"
                    },
                    "backing": {
                        "fileName": "[freenas] minecraft/minecraft-000002.vmdk",
                        "datastore": {
                            "type": "Datastore",
                            "value": "datastore-6035"
                        },
                        "diskMode": "persistent",
                        "split": false,
                        "writeThrough": false,
                        "thinProvisioned": true,
                        "eagerlyScrub": false,
                        "uuid": "6000C294-55e8-39b9-1852-00dcfd299398",
                        "contentId": "b739ed36bfc510b2f1c70000e628ed40",
                        "parent": {
                            "fileName": "[freenas] minecraft/minecraft-000001.vmdk",
                            "datastore": {
                                "type": "Datastore",
                                "value": "datastore-6035"
                            },
                            "diskMode": "persistent",
                            "thinProvisioned": true,
                            "eagerlyScrub": false,
                            "uuid": "6000C294-55e8-39b9-1852-00dcfd299398",
                            "contentId": "45ff3b3b3935d631facb7eadbb916797",
                            "parent": {
                                "fileName": "[freenas] minecraft/minecraft.vmdk",
                                "datastore": {
                                    "type": "Datastore",
                                    "value": "datastore-6035"
                                },
                                "diskMode": "persistent",
                                "thinProvisioned": true,
                                "eagerlyScrub": false,
                                "uuid": "6000C294-55e8-39b9-1852-00dcfd299398",
                                "contentId": "8e6ae3c31967c906303f7b3fe1b379f8",
                                "digestEnabled": false
                            },
                            "deltaDiskFormat": "redoLogFormat",
                            "digestEnabled": false,
                            "deltaDiskFormatVariant": "vmfsSparseVariant"
                        },
                        "deltaDiskFormat": "redoLogFormat",
                        "digestEnabled": false,
                        "deltaDiskFormatVariant": "vmfsSparseVariant",
                        "sharing": "sharingNone"
                    },
                    "controllerKey": 1000,
                    "unitNumber": 0,
                    "capacityInKB": 62914560,
                    "capacityInBytes": 64424509440,
                    "shares": {
                        "shares": 1000,
                        "level": "normal"
                    },
                    "storageIOAllocation": {
                        "limit": -1,
                        "shares": {
                            "shares": 1000,
                            "level": "normal"
                        },
                        "reservation": 0
                    },
                    "diskObjectId": "271-2000",
                    "vDiskVersion": 1,
                    "nativeUnmanagedLinkedClone": false,
                    "guestReadOnly": false
                },
                {
                    "key": 3002,
                    "deviceInfo": {
                        "label": "CD/DVD drive 1",
                        "summary": "ISO [] /usr/lib/vmware/isoimages/linux.iso"
                    },
                    "backing": {
                        "fileName": "[] /usr/lib/vmware/isoimages/linux.iso"
                    },
                    "connectable": {
                        "startConnected": false,
                        "allowGuestControl": true,
                        "connected": false,
                        "status": "untried"
                    },
                    "controllerKey": 201,
                    "unitNumber": 0
                },
                {
                    "key": 4000,
                    "deviceInfo": {
                        "label": "Network adapter 1",
                        "summary": "DVSwitch: 50 02 bc 27 fa 1b 2c d1-0d 43 fb 29 46 60 c4 0b"
                    },
                    "backing": {
                        "port": {
                            "switchUuid": "50 02 bc 27 fa 1b 2c d1-0d 43 fb 29 46 60 c4 0b",
                            "portgroupKey": "dvportgroup-4031",
                            "portKey": "102",
                            "connectionCookie": 209430599
                        }
                    },
                    "connectable": {
                        "migrateConnect": "unset",
                        "startConnected": true,
                        "allowGuestControl": true,
                        "connected": false,
                        "status": "untried"
                    },
                    "slotInfo": {
                        "pciSlotNumber": 32
                    },
                    "controllerKey": 100,
                    "unitNumber": 7,
                    "addressType": "assigned",
                    "macAddress": "00:50:56:a5:16:29",
                    "wakeOnLanEnabled": true,
                    "resourceAllocation": {
                        "reservation": 0,
                        "share": {
                            "shares": 50,
                            "level": "normal"
                        },
                        "limit": -1
                    },
                    "uptCompatibilityEnabled": false
                },
                {
                    "key": 8000,
                    "deviceInfo": {
                        "label": "Floppy drive 1",
                        "summary": "Remote"
                    },
                    "backing": {
                        "deviceName": "",
                        "useAutoDetect": false
                    },
                    "connectable": {
                        "startConnected": false,
                        "allowGuestControl": true,
                        "connected": false,
                        "status": "untried"
                    },
                    "controllerKey": 400,
                    "unitNumber": 0
                },
                {
                    "key": 12000,
                    "deviceInfo": {
                        "label": "VMCI device",
                        "summary": "Device on the virtual machine PCI bus that provides support for the virtual machine communication interface"
                    },
                    "slotInfo": {
                        "pciSlotNumber": 33
                    },
                    "controllerKey": 100,
                    "unitNumber": 17,
                    "id": -1821382055,
                    "allowUnrestrictedCommunication": false,
                    "filterEnable": true
                }
            ],
            "motherboardLayout": "i440bxHostBridge",
            "simultaneousThreads": 1
        },
        "cpuAllocation": {
            "reservation": 0,
            "expandableReservation": false,
            "limit": -1,
            "shares": {
                "shares": 1000,
                "level": "normal"
            }
        },
        "memoryAllocation": {
            "reservation": 0,
            "expandableReservation": false,
            "limit": -1,
            "shares": {
                "shares": 30720,
                "level": "normal"
            }
        },
        "latencySensitivity": {
            "level": "normal"
        },
        "memoryHotAddEnabled": false,
        "cpuHotAddEnabled": false,
        "cpuHotRemoveEnabled": false,
        "extraConfig": [
            {
                "key": "svga.present",
                "value": "TRUE"
            },
            {
                "key": "vmci.filter.enable",
                "value": "TRUE"
            },
            {
                "key": "tools.guest.desktop.autolock",
                "value": "FALSE"
            },
            {
                "key": "pciBridge0.present",
                "value": "true"
            },
            {
                "key": "pciBridge4.present",
                "value": "true"
            },
            {
                "key": "pciBridge4.virtualDev",
                "value": "pcieRootPort"
            },
            {
                "key": "pciBridge4.functions",
                "value": "8"
            },
            {
                "key": "pciBridge5.present",
                "value": "true"
            },
            {
                "key": "pciBridge5.virtualDev",
                "value": "pcieRootPort"
            },
            {
                "key": "pciBridge5.functions",
                "value": "8"
            },
            {
                "key": "pciBridge6.present",
                "value": "true"
            },
            {
                "key": "pciBridge6.virtualDev",
                "value": "pcieRootPort"
            },
            {
                "key": "pciBridge6.functions",
                "value": "8"
            },
            {
                "key": "pciBridge7.present",
                "value": "true"
            },
            {
                "key": "pciBridge7.virtualDev",
                "value": "pcieRootPort"
            },
            {
                "key": "pciBridge7.functions",
                "value": "8"
            },
            {
                "key": "hpet0.present",
                "value": "TRUE"
            },
            {
                "key": "nvram",
                "value": "minecraft.nvram"
            },
            {
                "key": "virtualHW.productCompatibility",
                "value": "hosted"
            },
            {
                "key": "scsi0.pciSlotNumber",
                "value": "16"
            },
            {
                "key": "ethernet0.pciSlotNumber",
                "value": "32"
            },
            {
                "key": "vmci0.pciSlotNumber",
                "value": "33"
            },
            {
                "key": "snapshot.action",
                "value": "keep"
            },
            {
                "key": "sched.cpu.latencySensitivity",
                "value": "normal"
            },
            {
                "key": "replay.supported",
                "value": "false"
            },
            {
                "key": "pciBridge0.pciSlotNumber",
                "value": "17"
            },
            {
                "key": "pciBridge4.pciSlotNumber",
                "value": "21"
            },
            {
                "key": "pciBridge5.pciSlotNumber",
                "value": "22"
            },
            {
                "key": "pciBridge6.pciSlotNumber",
                "value": "23"
            },
            {
                "key": "pciBridge7.pciSlotNumber",
                "value": "24"
            },
            {
                "key": "tools.remindInstall",
                "value": "FALSE"
            },
            {
                "key": "hostCPUID.0",
                "value": "00000016756e65476c65746e49656e69"
            },
            {
                "key": "hostCPUID.1",
                "value": "000906ea001008007ffafbffbfebfbff"
            },
            {
                "key": "hostCPUID.80000001",
                "value": "0000000000000000000001212c100800"
            },
            {
                "key": "guestCPUID.0",
                "value": "0000000d756e65476c65746e49656e69"
            },
            {
                "key": "guestCPUID.1",
                "value": "000406f00001080096d832030f8bfbff"
            },
            {
                "key": "guestCPUID.80000001",
                "value": "00000000000000000000010128100800"
            },
            {
                "key": "userCPUID.0",
                "value": "0000000d756e65476c65746e49656e69"
            },
            {
                "key": "userCPUID.1",
                "value": "000406f00001080096d832030f8bfbff"
            },
            {
                "key": "userCPUID.80000001",
                "value": "00000000000000000000010128100800"
            },
            {
                "key": "evcCompatibilityMode",
                "value": "TRUE"
            },
            {
                "key": "vmotion.checkpointFBSize",
                "value": "4194304"
            },
            {
                "key": "softPowerOff",
                "value": "TRUE"
            },
            {
                "key": "toolsInstallManager.updateCounter",
                "value": "6"
            },
            {
                "key": "toolsInstallManager.lastInstallError",
                "value": "0"
            },
            {
                "key": "numa.autosize.vcpu.maxPerVirtualNode",
                "value": "1"
            },
            {
                "key": "numa.autosize.cookie",
                "value": "10001"
            },
            {
                "key": "sched.swap.derivedName",
                "value": "/vmfs/volumes/a79e4951-d31e6955/minecraft/minecraft-4bfd4f1d.vswp"
            },
            {
                "key": "scsi0:0.redo",
                "value": ""
            },
            {
                "key": "monitor.phys_bits_used",
                "value": "40"
            },
            {
                "key": "viv.moid",
                "value": "91a88fc3-5936-4bfb-a6f8-018e073fcefb:vm-13671:XMmrS0IZV2SrrGL4GiADh//vraEEXaRMaC4vxsNBPOI="
            },
            {
                "key": "vmxstats.filename",
                "value": "minecraft.scoreboard"
            },
            {
                "key": "tools.capability.verifiedSamlToken",
                "value": "TRUE"
            },
            {
                "key": "vmware.tools.internalversion",
                "value": "10362"
            },
            {
                "key": "vmware.tools.requiredversion",
                "value": "12389"
            },
            {
                "key": "migrate.hostLogState",
                "value": "none"
            },
            {
                "key": "migrate.migrationId",
                "value": "0"
            },
            {
                "key": "migrate.hostLog",
                "value": "minecraft-662da845.hlog"
            }
        ],
        "datastoreUrl": [
            {
                "name": "freenas",
                "url": "/vmfs/volumes/a79e4951-d31e6955"
            }
        ],
        "swapPlacement": "inherit",
        "bootOptions": {
            "enterBIOSSetup": false,
            "efiSecureBootEnabled": false,
            "bootRetryEnabled": false,
            "bootRetryDelay": 10000,
            "networkBootProtocol": "ipv4"
        },
        "changeTrackingEnabled": false,
        "firmware": "bios",
        "maxMksConnections": 40,
        "guestAutoLockEnabled": false,
        "memoryReservationLockedToMax": false,
        "nestedHVEnabled": false,
        "vPMCEnabled": false,
        "scheduledHardwareUpgradeInfo": {
            "upgradePolicy": "never",
            "scheduledHardwareUpgradeStatus": "none"
        },
        "messageBusTunnelEnabled": false,
        "guestIntegrityInfo": {
            "enabled": false
        },
        "migrateEncryption": "opportunistic",
        "sgxInfo": {
            "epcSize": 0,
            "flcMode": "unlocked",
            "requireAttestation": false
        },
        "ftEncryptionMode": "ftEncryptionOpportunistic",
        "guestMonitoringModeInfo": {},
        "sevEnabled": false,
        "numaInfo": {
            "coresPerNumaNode": 0,
            "autoCoresPerNumaNode": true
        },
        "vmOpNotificationToAppEnabled": false,
        "vmOpNotificationTimeout": -1,
        "deviceGroups": {},
        "fixedPassthruHotPlugEnabled": false
    },
    "layout": null,
    "layoutEx": null,
    "storage": null,
    "environmentBrowser": {
        "type": "",
        "value": ""
    },
    "resourcePool": null,
    "parentVApp": null,
    "resourceConfig": null,
    "runtime": {
        "connectionState": "",
        "powerState": "",
        "toolsInstallerMounted": false,
        "numMksConnections": 0
    },
    "guest": null,
    "summary": {
        "runtime": {
            "connectionState": "",
            "powerState": "",
            "toolsInstallerMounted": false,
            "numMksConnections": 0
        },
        "config": {
            "name": "",
            "template": false,
            "vmPathName": ""
        },
        "quickStats": {
            "guestHeartbeatStatus": ""
        },
        "overallStatus": ""
    },
    "datastore": null,
    "network": null,
    "snapshot": null,
    "rootSnapshot": null,
    "guestHeartbeatStatus": ""
}